package com.steerinfo.ems.tcm0325.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class TCm0325 implements IBasePO<String> {
    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录id",required=false)
    private String recordid;

    /**
     * 使用状态(USESTATE,VARCHAR,400)
     */
    @ApiModelProperty(value="使用状态",required=false)
    private String usestate;

    /**
     * 动力系统代码(POWERCODE,VARCHAR,400)
     */
    @ApiModelProperty(value="动力系统代码",required=true)
    private String powercode;

    /**
     * 动力系统名称(POWERNAME,VARCHAR,400)
     */
    @ApiModelProperty(value="动力系统名称",required=false)
    private String powername;

    /**
     * 监测部门(POWERDETECDEPARTMENT,VARCHAR,400)
     */
    @ApiModelProperty(value="监测部门",required=false)
    private String powerdetecdepartment;

    /**
     * 排序(SORT,NUMBER,18)
     */
    @ApiModelProperty(value="排序",required=false)
    private Long sort;


    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return powercode;
    }
    @Override
    public void setId(String powercode) {
        this.powercode = powercode == null ? null : powercode.trim();
    }

    public String getRecordid() {
        return recordid;
    }
    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public String getUsestate() {
        return usestate;
    }
    public void setUsestate(String usestate) {
        this.usestate = usestate == null ? null : usestate.trim();
    }

    public String getPowercode() {
        return powercode;
    }
    public void setPowercode(String powercode) {
        this.powercode = powercode == null ? null : powercode.trim();
    }

    public String getPowername() {
        return powername;
    }
    public void setPowername(String powername) {
        this.powername = powername == null ? null : powername.trim();
    }

    public String getPowerdetecdepartment() {
        return powerdetecdepartment;
    }
    public void setPowerdetecdepartment(String powerdetecdepartment) {
        this.powerdetecdepartment = powerdetecdepartment == null ? null : powerdetecdepartment.trim();
    }

    public Long getSort() {
        return sort;
    }
    public void setSort(Long sort) {
        this.sort = sort == null ? null : sort;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", recordid=").append(recordid);
        sb.append(", usestate=").append(usestate);
        sb.append(", powercode=").append(powercode);
        sb.append(", powername=").append(powername);
        sb.append(", powerdetecdepartment=").append(powerdetecdepartment);
        sb.append(", sort=").append(sort);
        sb.append("]");
        return sb.toString();
    }
}